> For the complete documentation index, see [llms.txt](https://docs.cryptolegacy.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cryptolegacy.app/russkii/obzor/cryptolegacy-integracii-protokolov-dlya-gibkosti.md).

# CryptoLegacy: интеграции протоколов для гибкости

CryptoLegacy интегрирует популярные dApps и протоколы, чтобы Бенефициары могли безопасно управлять активами, стейкать, обменивать, брать займы и переводить их без лишних сложностей.

Интеграция CryptoLegacy с проверенными блокчейн-протоколами и dApps помогает Владельцам защищать и восстанавливать свои активы, а Бенефициарам — удобно и безопасно управлять криптоактивами в процессе Распределения.

## Интеграция с dApp

На первом этапе CryptoLegacy будет запущен как Safe App. Это позволит пользователям, которые хранят крупные активы в Safe-кошельках, легко и безопасно управлять ими.

## Запланированные интеграции

* **Aave** – Вносите, выводите, берите займы или переключайте криптоактивы прямо в CryptoLegacy.
* **Uniswap** – Обменивайте токены быстро и безопасно внутри CryptoLegacy.
* **1inch** – Обменивайте токены, стейкайте и анстейкайте 1INCH без лишних усилий.
* **Lido** – Стейкайте ETH/WETH или анстейкайте stETH/wstETH без затруднений.
* **DeBridge** – Обменивайте токены между несколькими блокчейн-сетями внутри контрактов CryptoLegacy, использующих один адрес.

Интеграция с этими широко используемыми протоколами заметно повышает удобство и безопасность работы в CryptoLegacy. Владельцы и Бенефициары могут легко и эффективно управлять своими активами в ведущих блокчейн-экосистемах.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cryptolegacy.app/russkii/obzor/cryptolegacy-integracii-protokolov-dlya-gibkosti.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
